#/bin/sh

tar -xzvf driver304.pkg -C /
tar -xzvf kmod304.pkg -C /

if grep -q "kld_list=.*nvidia" "/etc/rc.conf" 2>/dev/null; then
        echo "Модуль nvidia уже есть в kld_list"
else
        sysrc kld_list+=" nvidia"
	echo "Модуль nvidia добавлен в kld_list"
fi

kldload nvidia
